<?xml version="1.0"?>
<ruleset xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" name="PSR2" xsi:noNamespaceSchemaLocation="vendor/squizlabs/php_codesniffer/src/Standards/PSR2/ruleset.xml">
    <description>PHP Codesniffer ruleset for this project</description>

    <file>./app/Models</file>
    <file>./config</file>
    <file>./database</file>
    <file>./helpers</file>
    <file>./lang</file>
    <file>./resources/views</file>
    <file>./routes</file>

    <exclude-pattern>*/vendor/*</exclude-pattern>

    <arg name="basepath" value="."/>
    <arg name="parallel" value="4"/>
    <arg name="report" value="full"/>
    <arg name="extensions" value="php"/>
    <arg name="colors"/>
    <arg name="no-cache"/>
    <arg value="nps"/>

    <ini name="memory_limit" value="64M"/>

    <autoload>./vendor/autoload.php</autoload>

    <!-- Don't hide tokenizer exceptions -->
    <rule ref="Internal.Tokenizer.Exception">
        <type>error</type>
    </rule>

    <!-- Include all sniffs in the PSR-2 standard -->
    <rule ref="PSR2">
        <exclude name="Generic.Files.LineLength.TooLong"/>
    </rule>
</ruleset>
